/*
 * Copyright 2010 Google Inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except
 * in compliance with the License. You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License
 * is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express
 * or implied. See the License for the specific language governing permissions and limitations under
 * the License.
 */
/*
 * Warning! This file is generated. Modify at your own risk.
 */

package com.google.api.services.siteVerification.model;

import com.google.api.client.json.GenericJson;

/**
 * Model definition for SiteVerificationWebResourceGettokenRequest.
 *
 * <p> This is the Java data model class that specifies how to parse/serialize into the JSON that is
 * transmitted over HTTP when working with the Google Site Verification API. For a detailed
 * explanation see:
 * <a href="http://code.google.com/p/google-api-java-client/wiki/Json">http://code.google.com/p/google-api-java-client/wiki/Json</a>
 * </p>
 *
 * <p>
 * Upgrade warning: starting with version 1.12 {@code getResponseHeaders()} is removed, instead use
 * {@link com.google.api.client.http.json.JsonHttpRequest#getLastResponseHeaders()}
 * </p>
 *
 * @author Google, Inc.
 */
@SuppressWarnings("javadoc")
public final class SiteVerificationWebResourceGettokenRequest extends GenericJson {

  /**
   * The site for which a verification token will be generated.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private Site site;

  /**
   * The verification method that will be used to verify this site. For sites, 'FILE' or 'META'
   * methods may be used. For domains, only 'DNS' may be used.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private String verificationMethod;

  /**
   * The site for which a verification token will be generated.
   * The value returned may be {@code null}.
   */
  public Site getSite() {
    return site;
  }

  /**
   * The site for which a verification token will be generated.
   * The value set may be {@code null}.
   */
  public SiteVerificationWebResourceGettokenRequest setSite(Site site) {
    this.site = site;
    return this;
  }

  /**
   * The verification method that will be used to verify this site. For sites, 'FILE' or 'META'
   * methods may be used. For domains, only 'DNS' may be used.
   * The value returned may be {@code null}.
   */
  public String getVerificationMethod() {
    return verificationMethod;
  }

  /**
   * The verification method that will be used to verify this site. For sites, 'FILE' or 'META'
   * methods may be used. For domains, only 'DNS' may be used.
   * The value set may be {@code null}.
   */
  public SiteVerificationWebResourceGettokenRequest setVerificationMethod(String verificationMethod) {
    this.verificationMethod = verificationMethod;
    return this;
  }

  /**
   * The site for which a verification token will be generated.
   */
  public static final class Site extends GenericJson {

    /**
     * The site identifier. If the type is set to SITE, the identifier is a URL. If the type is set to
     * INET_DOMAIN, the site identifier is a domain name.
     * The value may be {@code null}.
     */
    @com.google.api.client.util.Key
    private String identifier;

    /**
     * The type of resource to be verified. Can be SITE or INET_DOMAIN (domain name).
     * The value may be {@code null}.
     */
    @com.google.api.client.util.Key
    private String type;

    /**
     * The site identifier. If the type is set to SITE, the identifier is a URL. If the type is set to
     * INET_DOMAIN, the site identifier is a domain name.
     * The value returned may be {@code null}.
     */
    public String getIdentifier() {
      return identifier;
    }

    /**
     * The site identifier. If the type is set to SITE, the identifier is a URL. If the type is set to
     * INET_DOMAIN, the site identifier is a domain name.
     * The value set may be {@code null}.
     */
    public Site setIdentifier(String identifier) {
      this.identifier = identifier;
      return this;
    }

    /**
     * The type of resource to be verified. Can be SITE or INET_DOMAIN (domain name).
     * The value returned may be {@code null}.
     */
    public String getType() {
      return type;
    }

    /**
     * The type of resource to be verified. Can be SITE or INET_DOMAIN (domain name).
     * The value set may be {@code null}.
     */
    public Site setType(String type) {
      this.type = type;
      return this;
    }

  }

}
