/*
 * Copyright 2010 Google Inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except
 * in compliance with the License. You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License
 * is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express
 * or implied. See the License for the specific language governing permissions and limitations under
 * the License.
 */
/*
 * Warning! This file is generated. Modify at your own risk.
 */

package com.google.api.services.siteVerification.model;

import com.google.api.client.json.GenericJson;

/**
 * Model definition for SiteVerificationWebResourceGettokenResponse.
 *
 * <p> This is the Java data model class that specifies how to parse/serialize into the JSON that is
 * transmitted over HTTP when working with the Google Site Verification API. For a detailed
 * explanation see:
 * <a href="http://code.google.com/p/google-api-java-client/wiki/Json">http://code.google.com/p/google-api-java-client/wiki/Json</a>
 * </p>
 *
 * <p>
 * Upgrade warning: starting with version 1.12 {@code getResponseHeaders()} is removed, instead use
 * {@link com.google.api.client.http.json.JsonHttpRequest#getLastResponseHeaders()}
 * </p>
 *
 * @author Google, Inc.
 */
@SuppressWarnings("javadoc")
public final class SiteVerificationWebResourceGettokenResponse extends GenericJson {

  /**
   * The verification method to use in conjunction with this token. For FILE, the token should be
   * placed in the top-level directory of the site, stored inside a file of the same name. For META,
   * the token should be placed in the HEAD tag of the default page that is loaded for the site. For
   * DNS, the token should be placed in a TXT record of the domain.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private String method;

  /**
   * The verification token. The token must be placed appropriately in order for verification to
   * succeed.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private String token;

  /**
   * The verification method to use in conjunction with this token. For FILE, the token should be
   * placed in the top-level directory of the site, stored inside a file of the same name. For META,
   * the token should be placed in the HEAD tag of the default page that is loaded for the site. For
   * DNS, the token should be placed in a TXT record of the domain.
   * The value returned may be {@code null}.
   */
  public String getMethod() {
    return method;
  }

  /**
   * The verification method to use in conjunction with this token. For FILE, the token should be
   * placed in the top-level directory of the site, stored inside a file of the same name. For META,
   * the token should be placed in the HEAD tag of the default page that is loaded for the site. For
   * DNS, the token should be placed in a TXT record of the domain.
   * The value set may be {@code null}.
   */
  public SiteVerificationWebResourceGettokenResponse setMethod(String method) {
    this.method = method;
    return this;
  }

  /**
   * The verification token. The token must be placed appropriately in order for verification to
   * succeed.
   * The value returned may be {@code null}.
   */
  public String getToken() {
    return token;
  }

  /**
   * The verification token. The token must be placed appropriately in order for verification to
   * succeed.
   * The value set may be {@code null}.
   */
  public SiteVerificationWebResourceGettokenResponse setToken(String token) {
    this.token = token;
    return this;
  }

}
